Package: groovy.xml.slurpersupport

## [Java] Class NamespaceAwareHashMap

- groovy.xml.slurpersupport.NamespaceAwareHashMap

-     public class NamespaceAwareHashMap
      extends HashMap

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `containsKey(Object key)`
    `` | `public String` | `get(Object key)`
    `` | `public Map` | `getNamespaceTagHints()`
    `` | `public String` | `put(String key, String value)`
    `` | `public void` | `putAll(Map<? extends String, ? extends String> m)`
    `` | `public String` | `remove(Object key)`
    `` | `public void` | `setNamespaceTagHints(Map namespaceTagHints)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `remove, remove, get, put, values, clone, clear, isEmpty, replace, replace, replaceAll, size, merge, entrySet, putAll, putIfAbsent, compute, forEach, containsKey, computeIfAbsent, keySet, containsValue, getOrDefault, computeIfPresent, equals, toString, hashCode, wait, wait, wait, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override
      public boolean containsKey(Object key)

    - #### @Override
      public String get(Object key)

    - #### public Map getNamespaceTagHints()

    - #### @Override
      public String put(String key, String value)

    - #### @Override
      public void putAll(Map<? extends String, ? extends String> m)

    - #### @Override
      public String remove(Object key)

    - #### public void setNamespaceTagHints(Map namespaceTagHints)